footer {
    display: flex;
    gap: 10px;
    width: 100%;
    padding: 0 10px 10px;
}

.footer_items_container,
.footer_logo_container {
    height: 583px;
    border-radius: 9px;
}

.footer_logo_container {
    background: var(--blue);
    width: 45%;
    display: grid;
    place-items: center;
}

.footer_logo {
    width: 416px;
}

.footer_items_container {
    background: var(--black-mid);
    width: 55%;
    padding: 40px 15px 15px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#footer_items {
    width: fit-content;
    height: fit-content;
    display: flex;
    flex-wrap: wrap;
    gap: 81px;
}

.footer_item {
    height: fit-content;
    display: flex;
    flex-direction: column;
    gap: 10px;
    letter-spacing: -0.48px;
    line-height: 137%;
}

.footer_item_name {
    color: var(--white);
    font-weight: 500;
    font-size: 19px;
    margin-bottom: 10px;
}

.footer_item_link {
    color: var(--gray-pale);
    font-size: 17px;
    font-weight: 400;
}

.footer_about_dev_text {
    color: var(--gray-light-medium);
    font-size: 17px;
    font-weight: 400;
    line-height: 137%;
    letter-spacing: -0.51px;
    font-family: SF_Pro_Display;
}

.footer_dev_company_name {
    color: var(--white);
    font-family: SF_Pro_Display;
}

@media (320px <=width <=768px) {
    footer {
        flex-direction: column;
        gap: 40px;
        padding: 10px;
        background: var(--black-mid);
    }

    .footer_logo_container {
        width: 100%;
        height: fit-content;
        padding: 15px;
        place-items: initial;
    }

    .footer_logo {
        width: 101px;
    }

    .footer_items_container {
        width: 100%;
        padding: 0;
        gap: 130px;
        height: fit-content;
    }

    #footer_items {
        flex-direction: column;
        gap: 50px;
    }

    .footer_about_dev_text {
        font-size: 14px;
    }
}

@media (769px <=width <=1024px) {
    .footer_items_container,
    .footer_logo_container {
        height: auto;
    }

    .footer_logo {
        width: 216px;
    }

    .footer_items_container {
        gap: 130px;
    }

    #footer_items {
        gap: 50px;
    }
}